#!/bin/sh

make -f makefile.gcc

qsub -q ibm-quad.q -cwd run.sh 8 bin/SolarSim.gcc data/astro.dat sim.dat 630720 100 864

while [ `qstat | wc -l` != 0 ]
do
	sleep 1
done

cat run.sh.* | \
	grep -v "Warning: no access to tty (Bad file descriptor)." | \
	grep -v "Thus no job control in this shell."

rm run.sh.*

