package solarsim.common;

/**
 * Clasa care modeleaza o particula. Este caracterizata de masa, vector pozitie si vector viteza.
 * @author Marius Ion
 */
public class Particle {

    double mass;
    Vector position;
    Vector velocity;

    public Particle() {
    }

    public Particle(double mass, Vector position, Vector velocity) {
        this.mass = mass;
        this.position = position;
        this.velocity = velocity;
    }

    public double getMass() {
        return mass;
    }

    public void setMass(double mass) {
        this.mass = mass;
    }

    public Vector getPosition() {
        return position;
    }

    public void setPosition(Vector position) {
        this.position = position;
    }

    public Vector getVelocity() {
        return velocity;
    }

    public void setVelocity(Vector velocity) {
        this.velocity = velocity;
    }
}
